Name:           python-resemble
Version:        1.5.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Resemble API Client Library

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/resemble-ai/resemble-python
Source:         %{pypi_source resemble}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'resemble' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-resemble
Summary:        %{summary}

%description -n python3-resemble %_description


%prep
%autosetup -p1 -n resemble-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-resemble -f %{pyproject_files}


%changelog
%autochangelog